How to make an app - Andromo App Maker

Announcement

Collapse
No announcement yet.

Dependency module: .NET Framework 4.0

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Dependency module: .NET Framework 4.0

    Hello,

    the .NET Framework 4.0 dependency module is based on the .NET 3.5 module that is already part of the MSI Factory default install.

    You will find two modules:

    .NET 4.0 Include - assumes that you include the .NET 4.0 full package installer (dotNetFx40_Full_x86_x64.exe) in your bootstrapper, which will add 48.1 MB to your setup. You can download the installer from here: http://www.microsoft.com/downloads/d...displaylang=en

    .NET 4.0 Download - assumes that you download the web installer (dotNetFx40_Full_setup.exe) and that you place it on your own web server. At runtime, you will first download the web installer, which will then download the required files for the detected platform and then start the installation.
    You can download the web installer from here: http://www.microsoft.com/downloads/d...displaylang=en


    Installation:

    Decompress this zip file in the "Bootstrap\Dependencies" sub folder of your MSI Factory installation. When you restart the Bootstrapper Designer, the two new modules will be available.

    This dependency module is not officially supported by Indigo Rose. Use it at your own risk, and feel free to modify it to fit your needs better.

    Ulrich

  • #2
    I am a bit of a nube here...

    how do I add the file to my installer... just downloaded and make in on of the files being installed?

    Will this work in Setup factory 8?


    .NET 4.0 Include - assumes that you include the .NET 4.0 full package installer (dotNetFx40_Full_x86_x64.exe) in your bootstrapper, which will add 48.1 MB to your setup. You can download the installer from here: http://www.microsoft.com/downloads/d...displaylang=en

    Comment


    • #3
      This is a dependency module for the bootstrapper of MSI Factory. It cannot be used with Setup Factory, instead see this or this.

      Ulrich

      Comment


      • #4
        i try to make an installer that use download the Dot net 4 from internet.

        but I get a problem to download.

        it try to connect to server then the screen disappear

        and nothing happened
        thank you
        abdu

        Comment


        • #5
          Hello,

          you are not giving many details about your project, log file or error message. Have you followed the instructions, and placed the installer on your web server so it can be downloaded from there?

          Ulrich

          Comment


          • #6
            Is possible to make this work on setup factory?? i net dependency support for ti on SF8

            Comment


            • #7
              Where are the files for this? I do not see any files attached to this post. Could you direct me to where I could find them?
              Originally posted by Ulrich View Post
              Hello,

              the .NET Framework 4.0 dependency module is based on the .NET 3.5 module that is already part of the MSI Factory default install.

              You will find two modules:

              .NET 4.0 Include - assumes that you include the .NET 4.0 full package installer (dotNetFx40_Full_x86_x64.exe) in your bootstrapper, which will add 48.1 MB to your setup. You can download the installer from here: http://www.microsoft.com/downloads/d...displaylang=en

              .NET 4.0 Download - assumes that you download the web installer (dotNetFx40_Full_setup.exe) and that you place it on your own web server. At runtime, you will first download the web installer, which will then download the required files for the detected platform and then start the installation.
              You can download the web installer from here: http://www.microsoft.com/downloads/d...displaylang=en


              Installation:

              Decompress this zip file in the "Bootstrap\Dependencies" sub folder of your MSI Factory installation. When you restart the Bootstrapper Designer, the two new modules will be available.

              This dependency module is not officially supported by Indigo Rose. Use it at your own risk, and feel free to modify it to fit your needs better.

              Ulrich

              Comment


              • #8
                Have you noticed that there are three hyperlinks in my original post for downloading the required files?
                1. A zip archive containing the dependency module
                2. .NET Framework 4.0 standalone installer
                3. .NET Framework 4.0 web installer
                Ulrich
                Last edited by Ulrich; 02-15-2013, 10:43 AM.

                Comment


                • #9
                  There were only the 2 hyperlinks to the .net installers. There was no link to the zip archive you mentioned, which is why I asked the question. The third one I didn't see until just now since it was embedded in the sentence.

                  Thanks for the link to the zip file! ...sorry for the inconvenience, I appreciate the help.

                  Cheers
                  Aniket

                  Originally posted by Ulrich View Post
                  Have you noticed that there are three hyperlinks in my original post for downloading the required files?
                  1. A zip archive containing the dependency module
                  2. .NET Framework 4.0 standalone installer
                  3. .NET Framework 4.0 web installer
                  Ulrich
                  Last edited by aniket.braganza; 02-15-2013, 12:36 PM. Reason: addendum

                  Comment


                  • #10
                    Any chance of the author updating the dependency module for .net 4.5x? I ask this because the provided .lua is very intimidating.

                    Comment


                    • #11
                      A dependency for .NET 4.5 exists on my site for quite some time.

                      Ulrich

                      Comment


                      • #12
                        Where is the .NET 4.5 dependency on your site? I've not been able to find it.

                        Comment


                        • #13
                          Originally posted by Ulrich View Post
                          A dependency for .NET 4.5 exists on my site for quite some time.
                          Originally posted by dpen View Post
                          Where is the .NET 4.5 dependency on your site? I've not been able to find it.
                          Are we on our own to recreate a dependency module that apparently existed a few years ago? Maybe it wasn't fit for release? Anyway, a module that installs a .NET framework in the range 4.5 to 4.7 would probably suit our needs. We're looking for the "Download" version, not the "Include" version.

                          Our MSI Factory 2.2 project has been using the .NET 4.0 dependency module for some time. Recently, an assembly was added that requires .NET 4.5.2 so the bootstrapper needs to be updated.

                          If a module is available or I should ask somewhere else, please point me in the right direction. Thanks.

                          Comment


                          • #14
                            You can find two .NET Framework dependencies here:It took me over three hours to get the installer for .NET 4.7 working, as there are additional quirks for Windows 7 SP1 and Windows Server 2012.

                            Please read the licensing terms.

                            Ulrich

                            Comment

                            Working...
                            X